# DataExchange
TKXSBase
IFSelect

# IFSelect_DispPerOne Class Reference

A DispPerOne gathers all the input Entities into as many
Packets as there Root Entities from the Final Selection,
that is, one Packet per Entity
.

`#include <IFSelect_DispPerOne.hxx>`

Inheritance diagram for IFSelect_DispPerOne:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_DispPerOne ()
| Creates a DispPerOne .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns as Label, "One File per Input Entity" .
virtual Standard_EXPORT Standard_Boolean | LimitedMax (const Standard_Integer nbent, Standard_Integer &max) const
| Returns True, maximum limit is given as <nbent> .
virtual Standard_EXPORT Standard_Boolean | PacketsCount (const Interface_Graph &G, Standard_Integer &count) const
| Returns True (count is easy to know) and count is the length of the input list (RootResult from FinalSelection) .
Standard_EXPORT void | Packets (const Interface_Graph &G, IFGraph_SubPartsIterator &packs) const
| Returns the list of produced Packets. It defines one Packet per Entity given by RootResult from the Final Selection. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_DispPerOne::IFSelect_DispPerOne | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_DispPerOne::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT TCollection_AsciiString IFSelect_DispPerOne::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispPerOne::LimitedMax | ( | const Standard_Integer | nbent,
|  | Standard_Integer & | max
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT void IFSelect_DispPerOne::Packets | ( | const Interface_Graph & | G,
|  | IFGraph_SubPartsIterator & | packs
| ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispPerOne::PacketsCount | ( | const Interface_Graph & | G,
|  | Standard_Integer & | count
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

The documentation for this class was generated from the following file:

- IFSelect_DispPerOne.hxx